Cyberduck Mountain Duck CLI

#8369 closed defect (fixed)

Only first file opened in editor will upload on save in Sublime Text 2

Reported by: djcubez Owned by: yla
Priority: high Milestone: 4.6.1
Component: core Version: 4.6
Severity: major Keywords:
Cc: Architecture:
Platform: Windows 7

Description

I upgraded to the last version this morning and for the first few hours everything worked as normal. Now my files won't upload.

We use SFTP to connect using SSH Key Authentication. I would open a file straight into my editor from the server I was connected to (mount it essentially) and when I saved changes to the file it would automatically upload the file back to the server. CyberDuck no longer attempts to upload the file after I save it. I didn't change a single thing besides updating this morning. All my co-workers have not updated and are not having problems so it is most likely not a server-side issue.

Change History (21)

comment:1 Changed on Nov 25, 2014 at 10:50:12 PM by djcubez

  • Resolution set to fixed
  • Status changed from new to closed

comment:2 Changed on Nov 25, 2014 at 10:50:45 PM by djcubez

I was using Sublime Text as my editor. When I closed it and re-opened it everything worked again. Not an issue with CyberDuck then. Thanks!

comment:3 Changed on Nov 25, 2014 at 10:55:24 PM by djcubez

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:4 Changed on Nov 25, 2014 at 10:56:42 PM by djcubez

Not fixed. It works for one file at a time but that's it. I can't have more than one file mounted at a time. The first file I open will upload on save but none of the files I open after will.

comment:5 Changed on Nov 25, 2014 at 11:06:58 PM by dkocher

  • Milestone set to 4.6.1

comment:6 Changed on Nov 25, 2014 at 11:12:37 PM by djcubez

I did a full computer restart but still the same issue. The first file I open to edit uploads on every save. Any subsequent file I open to edit does not be upload when I save. Furthermore, it will only work with that first file even if I close it and re-open it. To work with a different file I have to close the editor, close CyberDuck, and then open the new file to edit.

I am using Sublime Text 2 if that helps at all. I was not having any issues until I updated the software earlier this morning.

Last edited on Nov 25, 2014 at 11:15:49 PM by djcubez (previous) (diff)

comment:7 Changed on Nov 25, 2014 at 11:16:42 PM by djcubez

Is there anyway to rollback to an older version? This seriously interrupts my workflow.

comment:8 Changed on Nov 25, 2014 at 11:27:17 PM by djcubez

Not sure if this helps:

84 OPEN
85 WRITE
86 CLOSE
87 REALPATH
88 REMOVE
89 RENAME
90 SETSTAT
91 OPENDIR
92 READDIR
93 READDIR
94 CLOSE
95 OPEN
96 WRITE
97 CLOSE
98 REALPATH
99 REMOVE
100 RENAME
101 SETSTAT
102 OPENDIR
103 READDIR
104 READDIR
105 CLOSE
106 OPENDIR
107 READDIR
108 READDIR
109 CLOSE
110 OPEN
111 READ
112 READ
113 CLOSE

REALPATH and SETSTAT are only logged on the file that works (the first file that I open after restarting both CyberDuck and Sublime Text)

comment:9 Changed on Nov 25, 2014 at 11:29:23 PM by djcubez

Okay well when I switched the editor to Notepad in the CyberDuck settings everything worked fine again. But when I got back to Sublime Text 2 it only works with the first file I open.

comment:10 Changed on Nov 26, 2014 at 12:03:18 AM by djcubez

I found a download for version 4.5.2. I uninstalled the latest version (4.6) and installed 4.5.2. Everything is working again now.

So the problem still exists.

Last edited on Nov 26, 2014 at 12:04:20 AM by djcubez (previous) (diff)

comment:11 Changed on Nov 26, 2014 at 8:44:47 AM by dkocher

  • Summary changed from Upgraded, now files won't upload to Only first file opened in editor will upload on save

comment:12 Changed on Nov 26, 2014 at 12:49:39 PM by dkocher

  • Priority changed from highest to high
  • Severity changed from critical to major

comment:13 Changed on Nov 26, 2014 at 12:51:25 PM by dkocher

I can reproduce the issue with Sublime Text. Thanks for the bug report.

Last edited on Nov 26, 2014 at 12:56:14 PM by dkocher (previous) (diff)

comment:14 Changed on Nov 26, 2014 at 12:56:20 PM by dkocher

  • Owner set to yla
  • Status changed from reopened to new

comment:15 Changed on Nov 26, 2014 at 3:33:22 PM by djcubez

Yea! Good luck, hope it's an easy fix :)

comment:16 Changed on Nov 27, 2014 at 1:18:27 PM by dkocher

  • Summary changed from Only first file opened in editor will upload on save to Only first file opened in editor will upload on save in Sublime Text 2

comment:17 Changed on Nov 27, 2014 at 1:18:56 PM by dkocher

#8373 closed as duplicate.

comment:18 Changed on Nov 28, 2014 at 1:07:32 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

Fixed in r15868.

comment:19 Changed on Nov 28, 2014 at 9:57:58 PM by martinej123

I'm having the same problem when I upgraded to the recent version of CyberDuck. @yla what does "Resolution set to fixed" mean? How do I implement the fix? Or do I need to wait until this is included in the next version of CyberDuck? Thanks!

comment:20 Changed on Nov 28, 2014 at 10:59:16 PM by dkocher

Please update to the latest snapshot build available.

comment:21 Changed on Dec 1, 2014 at 9:15:35 AM by dkocher

#8381 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software